Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ObjectBase Class Reference
Inheritance diagram for ObjectBase:

## Public Member Functions
| __init__ (self, name='', createFunction=None, model=None, models=[], anims=[], animNames=[], animDict={}, properties={}, movable=True, actor=False, named=False, updateModelFunction=None, orderedProperties=[], propertiesMask={})
Public Member Functions inherited from ObjectGen
| __init__ (self, name='')

## Public Attributes
| actor = actor
| animDict = copy.deepcopy(animDict)
| animNames = animNames[:]
| anims = anims[:]
| createFunction = createFunction
| model = model
| models = models[:]
| movable = movable
| named = named
| orderedProperties = orderedProperties[:]
| properties = copy.deepcopy(properties)
| propertiesMask = copy.deepcopy(propertiesMask)
| updateModelFunction = updateModelFunction
Public Attributes inherited from ObjectGen
| name = name

## Detailed Description

     Base class for obj definitions

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | name = '',
|  |  | createFunction = None,
|  |  | model = None,
|  |  | models = [],
|  |  | anims = [],
|  |  | animNames = [],
|  |  | animDict = {},
|  |  | properties = {},
|  |  | movable = True,
|  |  | actor = False,
|  |  | named = False,
|  |  | updateModelFunction = None,
|  |  | orderedProperties = [],
|  |  | propertiesMask = {} )

## Member Data Documentation

## ◆ actor

actor = actor

## ◆ animDict

animDict = copy.deepcopy(animDict)

## ◆ animNames

animNames = animNames[:]

## ◆ anims

anims = anims[:]

## ◆ createFunction

createFunction = createFunction

## ◆ model

model = model

## ◆ models

models = models[:]

## ◆ movable

movable = movable

## ◆ named

named = named

## ◆ orderedProperties

orderedProperties = orderedProperties[:]

## ◆ properties

properties = copy.deepcopy(properties)

## ◆ propertiesMask

propertiesMask = copy.deepcopy(propertiesMask)

## ◆ updateModelFunction

updateModelFunction = updateModelFunction